package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CourseEvaluationTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 课程评价方式查询结果
 * @Author: CaoZixuan
 * @Date: 2024-02-29
 */
public class CourseEvaluationResult {

    @ApiModelProperty("课程评价方式id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long evaluationId;

    @ApiModelProperty("课程评价方式")
    private String evaluation;

    @ApiModelProperty("课程评价方式描述")
    private String evaluationDesc;

    @ApiModelProperty("评价方式类型")
    private CourseEvaluationTypeEnum type;

    public Long getEvaluationId() {
        return evaluationId;
    }

    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    public String getEvaluation() {
        return evaluation;
    }

    public void setEvaluation(String evaluation) {
        this.evaluation = evaluation;
    }

    public String getEvaluationDesc() {
        return evaluationDesc;
    }

    public void setEvaluationDesc(String evaluationDesc) {
        this.evaluationDesc = evaluationDesc;
    }

    public CourseEvaluationTypeEnum getType() {
        return type;
    }

    public void setType(CourseEvaluationTypeEnum type) {
        this.type = type;
    }
}
